Bug 24875 - Remove extra punctuation from tools home page
Summary: Remove extra punctuation from tools home page
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-16 06:45 UTC by Katrin Fischer
Modified: 2020-05-20 10:00 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Bug 24875: Remove extra punctuation from tools start page (2.05 KB, patch)
2020-03-16 06:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24875: Remove extra punctuation from tools start page (2.11 KB, patch)
2020-03-17 15:36 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24875: (follow-up) Remove ending . from Comments (1.16 KB, patch)
2020-03-22 11:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24875: Remove extra punctuation from tools start page (2.70 KB, patch)
2020-03-24 09:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-03-16 06:45:26 UTC

    
Comment 1 Katrin Fischer 2020-03-16 06:51:08 UTC
Created attachment 100720 [details] [review]
Bug 24875: Remove extra punctuation from tools start page

The patron clubs note was ending with .., but patch also removed
some single . to be consistent with the majority of entries on the
tools page.

To test:
- Check the tools start page for ending . in the notes
- Apply patch
- Verify the punctuation is now consistent
Comment 2 David Cook 2020-03-16 07:02:29 UTC
I loved the initial typo 😅
Comment 3 Lucas Gass 2020-03-16 23:29:27 UTC
I think there is still one more under Comments > Moderate patron comments.
Comment 4 Bernardo Gonzalez Kriegel 2020-03-17 15:36:56 UTC
Created attachment 100910 [details] [review]
Bug 24875: Remove extra punctuation from tools start page

The patron clubs note was ending with .., but patch also removed
some single . to be consistent with the majority of entries on the
tools page.

To test:
- Check the tools start page for ending . in the notes
- Apply patch
- Verify the punctuation is now consistent

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment 5 Katrin Fischer 2020-03-22 11:04:35 UTC
Created attachment 101351 [details] [review]
Bug 24875: (follow-up) Remove ending . from Comments

Removes another extra ending . from the Comments section
of the tools start page.
Comment 6 Katrin Fischer 2020-03-22 11:04:57 UTC
(In reply to Lucas Gass from comment #3)
> I think there is still one more under Comments > Moderate patron comments.

Thx for the sign-off and pointing this out - added a tiny follow-up with the fix.
Comment 7 Jonathan Druart 2020-03-24 09:53:01 UTC
Created attachment 101523 [details] [review]
Bug 24875: Remove extra punctuation from tools start page

The patron clubs note was ending with .., but patch also removed
some single . to be consistent with the majority of entries on the
tools page.

To test:
- Check the tools start page for ending . in the notes
- Apply patch
- Verify the punctuation is now consistent

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Bug 24875: (follow-up) Remove ending . from Comments

Removes another extra ending . from the Comments section
of the tools start page.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Patches squashed
Comment 8 Martin Renvoize 2020-03-24 11:34:01 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2020-04-03 22:23:35 UTC
backported to 19.11.x for 19.11.05
Comment 10 Lucas Gass 2020-04-13 20:36:34 UTC
backported to 19.05.x for 19.05.10
Comment 11 Hayley Mapley 2020-04-17 02:06:38 UTC
Enhancement will not be backport to 18.11.x series.